- [HTTP request](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/patch#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/patch#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/patch#try-it)

Updates a `Report` object.

### HTTP request

`PATCH https://agenciesandbrands.googleapis.com/v1/{report.name=agencies/*/reports/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `report.name` | `string` Identifier. The resource name of the report. Report resource name have the form: `agencies/{account_id}/reports/{reportId}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports#Report`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports#Report`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/agencies-and-brands`